Skip to main content
Matrix42 Self-Service Help Center

Empirum 20.0 - System Requirements

Preface

The system requirements below are the minimum requirements for a Matrix42 Empirum v20.0 installation. Since each customer has individual requirements regarding the number of clients, the work processes and infrastructure, these standard requirements should be deemed guidelines to be used for customer-specific implementation concepts. Requirements relevant for the respective customer installation are dependent on factors such as the following:

  • Number of objects in the database
  • Number of depot servers in use
  • Number of concurrently used management consoles
  • Number of packages and operating system versions to be distributed
  • Frequency of distributions or operating system installations
  • Used functionality

Please refer to the corresponding documents for the system requirements of the Software Asset und Service Management components.

 

The Matrix42 Empirum v20.0 release will support all operating systems listed in this document on a 32-bit processor architecture (Intel architecture 32-bit or i386) and a 64-bit processor architecture (AMD64). Other processor architectures (e.g., IA-64) will only be supported if explicitly stated accordingly.

  • There is NO support for Microsoft Windows operating systems such as the so-called Starter or Home Editions (e.g., Windows 7 Home etc.).
  • There is no NO support for Microsoft Core-variants such as Hyper-V Core as the Empirum Master Server.
  • There is ONLY support for 64-bit databases (Microsoft SQL).

Only German and English systems are supported as Empirum Master Server and SQL Server.

Important notes regarding the installation of the Microsoft SQL Server

Permissions and access rights

  • For the initial creation of Empirum databases (EmpLocations, location database) in an instance the server right CREATE ANY DATABASE or the role dbcreator is required.
  • Read access is required for the registry of the SQL server (to scan information from HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\SQLServer).
  • Only the dbo role (Database Owner) is required to update the database.
  • The SQL role securityadmin is required for creating and editing users in DBUtil.

Collation

  • The following setting is required for SQL database collation: Latin1_General_CI_AS

Option case sensitive

  • The “case-sensitive” option must not be activated when installing Microsoft SQL Server 2014 x64/ 2016 x64/ 2017 x64/ 2019 x64!
  • If “case-sensitive” is activated on an existing server and the EmpLocations database is created on this server, it is not possible to log into this database!
  • No additional location databases can be created!

Compatibility level

  • The compatibility level of the SQL database must match the SQL server version in use. This also applies for the server’s master DB. Inconsistencies might occur with imported databases and SQL server updates. Please use the sql command perform a check on the SQL server, if necessary:
    SELECT NAME, COMPATIBILITY_LEVEL FROM SYS.DATABASES WHERE NAME = 'master'
  • For SQL Server 2017, the value must be 140 and for SQL Server 2019, the value must be 150. 

 

When using SQL Server 2019, at least SQL Server 2019 Cumulative Update 2 (CU2) must be installed.

If this is not the case, you can modify the value with the following command:
ALTER DATABASE master SET COMPATIBILITY_LEVEL = 150

Option "case sensitive" enabled or not

How can I find out on an existing SQL server if the option "case sensitive" is enabled or not?

Start the following query via the Query Analyzer:
Exec sp_helpsort

The following result should be displayed (extract):
... case insensitive

Used Ports and Access to the Internet

Used ports

Matrix42 Empirum v19.0 requires various ports to communicate with the managed devices and to connect the consoles to the database or the server’s file system. A detailed list can be found in the online help (Manuals > Ports).

Internet access

Some services require access to Internet resources, including the components driver cloud of OS Installer, Patch Management and Remote Control, if applicable. Details can be found in the respective help documentation.

Minimum Requirements

The following minimum requirements are recommended in case all components are hosted on a single server.

  • Minimum requirement 2 GHz dual core (quad core recommended), 8 GB RAM (16 GB recommended), 250 GB HDD.
  • The .NET 4.7.2. Framework is mandatory for the installation of Matrix42 Empirum.
  • Windows Server 2012 R2 x64 / 2016 x64 / 2019 x64 with current service packs.
  • Microsoft SQL Server 2014 x64/ 2016 x64/ 2017 x64/ 2019 x64, with current service packs, or Microsoft SQL Server 2014 Express (is supplied and needs .Net 3.5 framework).

If both automation components Matrix42 Empirum and the Software Asset und Service Management Components (Service Store) are used, we recommend that you do not use the Express Edition with enhanced services, since Service Store provides support for fully-fledged SQL installations only.

Enough hard disk space for all software packages, operating system sources, patches and drivers.

  • If Personal Backup shall be stored on this server, additional storage space is required for the backup data.
  • Specific services such as DNS and / or WINS are required for name resolution purposes. (If only the TCP/IP protocol is used, the name can only be resolved with the DNS nameresolution in an IP address. If NetBIOS over TCP/IP is used, the NetBIOS and the DNS name resolution can be used).
  • Installed WADK (Windows Assessment and Deployment Kit), from version 1.0 for OS installations starting with Windows 8 / Server 2012. We recommend the latest available Windows 10 WADK.
  • Installed WAIK (Windows Automated Installation Kit) for OS installations of Windows 7 as well as Server 2008 R2.
  • If WinPE is used as boot medium on the Empirum server, at least Windows Server 2012 R2 is required, because Windows PowerShell 4.0 is needed.

Enhanced Installation

Depending on the requirements and infrastructure, very different implementation approaches can be pursued for Matrix42 Empirum. In most cases, smaller installations run completely on one single server. For large-scale installations with many clients or distributed locations several package servers (depot servers) and separate service and database servers are used in many cases.

Dedicated Services Server

  • Minimum requirement 2 GHz dual core (quad core recommended), 4 GB RAM (8 GB recommended), 10 GB HDD.
  • Windows Server 2012 R2 x64 / 2016 x64/ 2019 x64 with current service packs.
  • A 64-bit operating system for the master and sub depot server is required!
  • The .NET 4.7.2 Framework is required for installing the services remotely.

Dedicated Database Server

  • Microsoft SQL Server 2014 x64/ 2016 x64/ 2017 x64/ 2019 x64 with current service pack.
  • Minimum requirement 2 GHz dual core (quad core recommended), 4 GB RAM (8 GB recommended), 60 GB HDD.
  • Database installations on Windows operating systems according to the support provided by the respective vendor.
  • In case that already existing database instances are used: Currently, only database instances with names in capital letters only can be used e.g. 'MYEPIRUMINSTANCE'.

Package Depot (Installations Server and Backup Shares)

  • One or several Windows Server 2012 R2 x64/ 2016 x64/ 2019 x64. Also Windows client operating systems (64 bit only) starting from Windows 8.1 and higher; the respective Microsoft restrictions apply accordingly (for instance, a maximum of 10 concurrent connections), and SMB (Linux / UNIX) Server.
  • Sufficient hard disk space for all software packages, operating system sources, patches and drivers; if Personal Backup backups shall be stored on this server, additional storage space is required for the backup data.
  • For a sub depot server a minimum of 2 GB RAM is required.
  • If EmpSync shall be installed on the package depot, only Windows-based servers can be used (EmpSync can be installed centrally and can address other servers as target servers).

Package Depot with Services (Active Depot)

  • If EmpSync or additional Matrix42 Empirum services (e.g., PXE / TFTP) shall be installed on the package depot, only 64 bit Windows-based servers (Windows Server 2012 R2 x64/ 2016 x64/ 2019 x64) and Windows client operating systems (64 bit only) starting from Windows 8.1 and higher can be used; the respective Microsoft restrictions apply accordingly (e.g., a maximum of 10 concurrent connections). 
  • Sufficient hard disk space for all software packages, operating system sources, patches and drivers; if Personal Backup backups shall be stored on this server, sufficient storage space is required for the backup data.

Remote Control Connection Server

  • The detailed system requirements of the Matrix42 Remote Control connection server are part of the document Server documentation. This document can be downloaded from the Remote Control portal matrix42.fastviewer.com in the section documents.
  • The connection server cannot be installed on a server which requires port 80 and 443 for other services. This includes the Matrix42 Software Asset und Service Management (Service Store).
  • Please note the instructions of the manufacturer regarding the supported operating systems and platforms.

Packaging Center

  • From Windows Internet Explorer 11

Matrix42 Management Console

The prerequisites for installing the Matrix42 Management Console are:

  • Client operating systems starting from Windows 7 with respective current service pack (32-bit / 64-bit) and higher
  • Server operating systems starting from Windows Server 2012 R2 x64 with respective current service pack and higher

Supported Clients

Software Distribution

  • Windows
    • All Microsoft Windows operating systems from Windows Vista upward with respective current service packs up to and including Windows 10 (including Windows 10 IoT Enterprise) and Server 2019 x64 (no Nano) in the versions supported by Microsoft (Feature Upgrades/Service Pack).
  • Red Hat
    • Enterprise Linux 5.x to 8.x (32-Bit / 64-Bit)
  • Apple
    • macOS 10.12 (Sierra)
    • macOS 10.13 (High Sierra)
    • macOS 10.14 (Mojave)
    • macOS 10.15 (Catalina)
    • macOS 11.0/11.1 (Big Sur)

Patch-Management

Client

  • All Microsoft Windows operating systems from Windows 7 upward with respective current service packs up to and including Windows 10 (including Windows 10 IoT Enterprise) and Server 2016 x64/2019 x64 (no Nano) in the versions supported by Microsoft (Feature Upgrades/Service Pack).
  • An installed .NET 4.7.2 framework
  • On the client computer, the UEM- Agent is required.
  • The Agent template must have at least the version 19.x.
  • The "Server Service" must be running on the computer being scanned.
  • The ports TCP 139 / 445 (SMB) or the used http(s) ports (default: 80 / 443) must be open and not blocked by a firewall.
  • The "Windows Update Service" must not be disabled completely. It's possible to set the start type to "Manual".

Server

OS Installer

All Microsoft Windows operating systems from Windows 7 upward with respective current service packs up to and including Windows 10 and Server 2019 x64 (no Nano) with respective current service packs.

  • Support of Windows 10 Enterprise and Windows 10 Professional (no Windows RT / ARM based)
  • Support of Windows 8.1 Update 1, Windows 8.1 Update 1 Enterprise and Windows 8.1 Update 1 Professional (no Windows RT);
  • Microsoft Windows Server 2016 x64/ 2019 x64 (no Hyper-V Core, no Nano).

Currently no IPv6 and accordingly no IPv6 PXE Deployment is supported.

  • SuSE
    • SuSE Linux Enterprise Desktop 11
    • SuSE Linux Enterprise Server 11
  • Red Hat
    • Enterprise Linux 5.x to 6.x (32-Bit / 64-Bit)
  • Citrix
    • XenServer 5.5 / 5.6 / 5.6 SP1 / 6.0 / 6.1
  • VMware
    • VMware ESX4 (vSphere): 4.0 und 4.1
    • VMware ESXi4 (vSphere): 4.1
    • VMware ESXi5 (vSphere): 5.0 und 5.1

 

  • Installed WADK (Windows Assessment and Deployment Kit) on the Matrix42 Empirum Server for restore purposes. As a first step, you must download the WADK from Microsoft’s Internet site. Supported version: Windows Assessment and Deployment Kit (Windows ADK).
  • Installed WAIK (Windows Automated Installation Kit) for OS installations of Windows Vista and Windows 7 as well as Server 2008 R2.

Disk Imaging

The Multicast functionality of Disk Imaging is released for test environments exclusively. Only with a written agreement with Matrix42 Multicast Disk Imaging can also be used for productive environments. Please note the known issues in the release notes and how-to for the configuration.
For feedback or problems about Multicast Disk Imaging please contact beta_uem@matrix42.com

  • Disk imaging is possible starting from Windows 7 and higher
  • A VHD was created and prepared for distribution. Create and prepare a VHD before with Sysprep
  • Download the Empirum PE2 3.14.4-gentoo_3.74 (version_03_007) or higher and create corresponding boot images
  • Network Hardware with IGMP protocol enabled
  • At least one network component that can take the role of an IGMP querier within the multicast group (usually this is a layer 3 switch or a corresponding configured router)
    UDP for Multicast Data Transfer
  • UDP/Multicast Port 9000-9050 (configurable from 1-65535)
  • Multicast address 239.42.42.42 (configurable within the valid address range for multicast addresses)
  • SMB access to the Empirum Depot Server to load the image from there

Personal Backup

All Microsoft Windows operating systems from Windows 7 upward with respective current service packs up to and including Windows 10 (including Windows 10 IoT Enterprise) and Server 2019 x64 (no Nano) in the versions supported by Microsoft (Feature Upgrades/Service Pack).

Inventory

Windows

  • All Microsoft Windows operating systems from Windows 7 upward with respective current service packs up to and including Windows 10 (including Windows 10 IoT Enterprise) and Server 2019 x64 (no Nano) in the versions supported by Microsoft (Feature Upgrades/Service Pack).

Linux

  • SuSE Linux Enterprise Server / Desktop 11 / 12 / 15 (AMD64 & Intel 32/64)
  • RedHat Enterprise Linux Server / Desktop 6.x / 7.x / 8.0 (AMD64 & Intel 32/64)
  • Ubuntu Server / Desktop 14.04 / 16.04 / 18.04 / 20.10 (AMD64 & Intel 64)
  • CentOS v6/v7 (AMD64 & Intel 32/64)
  • Mint 19.1 Tessa (AMD64 & Intel 64)
  • Fedora 29 (Server Edition) (AMD64 & Intel 32/64)
  • Debian GNU/Linux 9.8 (AMD64 & Intel 64)

All Linux based systems requires the following libraries:

  • min. libgcc_s.so.4.4.7
  • min. libz.so.1.2.3
  • min. libxml2.so.2.7.6
  • min. libdl-2.12.so
  • min. libm-2.12.so
  • glibc min. 2.7

Please check this HowTo document for more information.

Apple

  • macOS 10.12 (Sierra)
  • macOS 10.13 (High Sierra)
  • macOS 10.14 (Mojave)
  • macOS 10.15 (Catalina)
  • macOS 11.0/11.1 (Big Sur)

Remote Control

All Microsoft Windows operating systems from Windows 7 upward with respective current service packs up to and including Windows 10 and Server 2019 x64 (no Nano).

Reporting

  • Microsoft SQL Reporting Server
  • Microsoft SQL Server 64 Bit 2014 / 2016 / 2017 / 2019
  • Supported versions of the reporting services SSRS 2014 / 2016 / 2017 / 2019
  • Preferred browser: Internet Explorer 11 or higher. Please ensure that the displayed reports are added to the “trusted sites”.
  • Microsoft SQL Reporting Server Services Express does not allow access to distributed environments.

Web Console

 

A databank server which running in mixed mode is required for the user log-on (includes the actual SQL server authentication as well as the Windows authentication).

Supported Browser

  • Internet Explorer 11 and higher
  • Mozilla Firefox 50 and higher
  • Google Chrome 60 and higher
  • Microsoft Edge

Matrix42 Package Robot

Package Creation

  • Min. 1 GHz CPU (multicore CPU is not required, but useful)
  • Min. 512 MB RAM
  • Supported client operating systems: Windows 7 and higher (32-bit / 64-bit)
  • Supported server operating systems: Windows Server 20012 R2 x64 and higher
  • Installation and recording under an account with administrative privileges
  • Disabled UAC on Windows 7 / Windows 8 / Windows 10 / Windows Server 2008 / Windows Server 2012 / Windows Server 2016 / Windows Server 2019 (followed by a reboot)

Package Execution

  • min. 512 MB RAM
  • Supported client operating systems: Windows 7 and higher (32-bit / 64-bit)
  • Supported server operating systems: Windows Server 2012 R2 x64 and higher

Compatibility with Enterprise Service Management (Digital Workspace Platform)

Empirum Connector

The compatibility of the connector from the digital workspace platform (formally known as Service Store) to Empirum corresponds to visible in the product usage guide to versions under active maintenance (https://www.matrix42.com/de/agb).

Enterprise Service Bus

The correct handling of messages with the Enterprise Service Bus requires that the sender and receiver uses a compatible message model version.

Empirum 20.0.3 requires UUX for UEM 2010 (Version 2.2.3) or Enterprise Service Bus 2012 (Version 2.3.7).

Middle ware Components

Matrix42 uses various middle ware components for Empirum.
The following middle ware components are used for Empirum and installed, unless they are already available on the respective system:

  • .NET Framework
  • VCRedist
  • VJRedist
  • Microsoft Enterprise Library

The customer is responsible for updating these components; alternatively, a Matrix42 update of a component as a patch / hotfix / service release can be used, if available.
For this purpose, the customer can use the Matrix42 Patch Management module. Updates can also be performed via WSUS or update packages specifically created by the customer.

  • Was this article helpful?